namespace "bio" do

  require 'bio'

  desc "Load GenBank database"
  task :load_genbank => :environment do
    STDERR.puts "\n>>> begin (load_genbank)"
    ActiveRecord::Base.transaction do
      task_name = ARGV.shift
      Bio::FlatFile.auto(ARGF).each do |gb|
        STDERR.puts "\n#{gb.entry_id}"

        hash = {
          :entry          => gb.entry_id,
          :bp             => gb.length,
          :strand         => gb.strand,
          :natype         => gb.natype,
          :circular       => gb.circular,
          :division       => gb.division,
          :date           => gb.date,
          :definition     => gb.definition,
          :accession      => gb.accession,
          :version        => gb.version,
          :gi             => gb.gi,
          :keyword        => gb.keywords,
          :source         => gb.source,
          :organism       => gb.organism,
          :taxonomy       => gb.taxonomy,
          :comment        => gb.comment,
          :references     => gb.references,
          :features       => gb.features,
          :naseq          => gb.naseq,
        }
        Genbank.create(hash)
      end
    end
    STDERR.puts "\n>>> end (load_genbank)"
  end
end
