require File.dirname(__FILE__) + '/../test_helper'
require 'genbanks_controller'

# Re-raise errors caught by the controller.
class GenbanksController; def rescue_action(e) raise e end; end

class GenbanksControllerTest < Test::Unit::TestCase
  fixtures :genbanks

  def setup
    @controller = GenbanksController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new

    @first_id = genbanks(:first).id
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_list
    get :list

    assert_response :success
    assert_template 'list'

    assert_not_nil assigns(:genbanks)
  end

  def test_show
    get :show, :id => @first_id

    assert_response :success
    assert_template 'show'

    assert_not_nil assigns(:genbank)
    assert assigns(:genbank).valid?
  end

  def test_new
    get :new

    assert_response :success
    assert_template 'new'

    assert_not_nil assigns(:genbank)
  end

  def test_create
    num_genbanks = Genbank.count

    post :create, :genbank => {}

    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_equal num_genbanks + 1, Genbank.count
  end

  def test_edit
    get :edit, :id => @first_id

    assert_response :success
    assert_template 'edit'

    assert_not_nil assigns(:genbank)
    assert assigns(:genbank).valid?
  end

  def test_update
    post :update, :id => @first_id
    assert_response :redirect
    assert_redirected_to :action => 'show', :id => @first_id
  end

  def test_destroy
    assert_nothing_raised {
      Genbank.find(@first_id)
    }

    post :destroy, :id => @first_id
    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_raise(ActiveRecord::RecordNotFound) {
      Genbank.find(@first_id)
    }
  end
end
